summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-02-23 14:05:40 +0100
committerLars Wendler <polynomial-c@gentoo.org>2018-02-23 14:09:48 +0100
commit014ebb0535e84526f542e3dc7c1b1707090999eb (patch)
treeb8fcf99acc524daae6ee54dc8dbb0c4eeb3f4128
parentdev-libs/libfilezilla: Bump to version 0.12.1 (diff)
downloadgentoo-014ebb05.tar.gz
gentoo-014ebb05.tar.bz2
gentoo-014ebb05.zip
net-ftp/filezilla: Bump to version 3.31.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--net-ftp/filezilla/Manifest1
-rw-r--r--net-ftp/filezilla/filezilla-3.31.0-r300.ebuild76
-rw-r--r--net-ftp/filezilla/filezilla-3.31.0.ebuild76
3 files changed, 153 insertions, 0 deletions
diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index f4e3a8c7d3f..afb86ff4c79 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -1,3 +1,4 @@
DIST FileZilla_3.25.2_src.tar.bz2 4712781 BLAKE2B c4e346442596eb2c1c7f5b541dc1386be5be13a3564187d5d7f275b5e1223cf1c95e11e27120c98276ea550d0b1c65122ffd62b5471a886faf1ebea0ab217522 SHA512 6c6feeec0b1bd15ff2c3fecbec22bca9c79f4263e0d1855c6d27a3df54128cfd837f0a546d1540b87b4645e620b57961b8ac0f01bd52748832f5625139c39764
DIST FileZilla_3.29.0_src.tar.bz2 4832040 BLAKE2B b956ac69d22c3ec5ef32827594ad70aaeeef8c9359f557162a95aba053fafbf13621ba34fd73201b0b15529e7379b77c18d808c304a6c398f8927f8f903e2e53 SHA512 d1906cb18cfebb0ac9f92b1b97e11ffe2f5bf1b70d9cf1454e627f141a0fe9b3d1ba473a0464d5727e8fccf992643a64cfb729d93187a010fcb4f59603589349
DIST FileZilla_3.30.0_src.tar.bz2 4855577 BLAKE2B fb146c05eccdb6bfee1fb8abebbe164440bf4bd2a2a54769218ec2b2d988dc8d32ebb711de878dfd5448befeec9858953157977aab10a6b936c5ec5d42cfae96 SHA512 e045ed07d3ca550881238935d80a9f6e972d67a40449a2bab72b29519240785e89c573af53fad702ab066cc26b7077452868bb50bfc76d371c29c86f908060fe
+DIST FileZilla_3.31.0_src.tar.bz2 4861886 BLAKE2B 675dc6263c68e00433ec81eb45ce13ae124ba020cbacd4d1ee06f703bf8579000f7d97506d24fc705cff45345a66f137bb5fadf2aef83b3c1c95f5c3a8e0fae6 SHA512 fefb1217a39214dfd1441fa45b37a461b2dab3cc80eeb82b8c1eb88b74e8be3ef6c436cbe5dba705feeb938bb2fc970863f28502d16097d01fdbf8c400b5e901
diff --git a/net-ftp/filezilla/filezilla-3.31.0-r300.ebuild b/net-ftp/filezilla/filezilla-3.31.0-r300.ebuild
new file mode 100644
index 00000000000..8e99d0bb5ad
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.31.0-r300.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit autotools eutils flag-o-matic gnome2-utils multilib wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
+HOMEPAGE="http://filezilla-project.org/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+ >=dev-libs/nettle-3.1:=
+ >=dev-db/sqlite-3.7
+ >=dev-libs/libfilezilla-0.12.1
+ >=dev-libs/pugixml-1.7
+ net-dns/libidn
+ >=net-libs/gnutls-3.4.0
+ >=x11-libs/wxGTK-3.0.3:${WX_GTK_VER}[X]
+ x11-misc/xdg-utils
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/libtool-1.4
+ nls? ( >=sys-devel/gettext-0.11 )
+ test? ( dev-util/cppunit )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
+ eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
+ eerror "to gcc-4.9 or an equivalent version supporting C++14."
+ die "Currently active compiler does not support -std=c++14"
+ fi
+ fi
+}
+
+src_prepare() {
+ setup-wxwidgets
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_with dbus) $(use_enable nls locales) \
+ --with-pugixml=system \
+ --disable-autoupdatecheck
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/net-ftp/filezilla/filezilla-3.31.0.ebuild b/net-ftp/filezilla/filezilla-3.31.0.ebuild
new file mode 100644
index 00000000000..81ededccddd
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.31.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+WX_GTK_VER="3.0"
+
+inherit autotools eutils flag-o-matic gnome2-utils multilib wxwidgets
+
+MY_PV=${PV/_/-}
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive interface"
+HOMEPAGE="http://filezilla-project.org/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}_src.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="dbus nls test"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND=">=app-eselect/eselect-wxwidgets-0.7-r1
+ >=dev-libs/nettle-3.1:=
+ >=dev-db/sqlite-3.7
+ >=dev-libs/libfilezilla-0.12.1
+ >=dev-libs/pugixml-1.7
+ net-dns/libidn
+ >=net-libs/gnutls-3.4.0
+ >=x11-libs/wxGTK-3.0.3:${WX_GTK_VER}[X]
+ x11-misc/xdg-utils
+ dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/libtool-1.4
+ nls? ( >=sys-devel/gettext-0.11 )
+ test? ( dev-util/cppunit )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+DOCS=(AUTHORS ChangeLog NEWS )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.22.1-debug.patch
+)
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != binary ]]; then
+ if ! test-flag-CXX -std=c++14; then
+ eerror "${P} requires C++14-capable C++ compiler. Your current compiler"
+ eerror "does not seem to support -std=c++14 option. Please upgrade your compiler"
+ eerror "to gcc-4.9 or an equivalent version supporting C++14."
+ die "Currently active compiler does not support -std=c++14"
+ fi
+ fi
+}
+
+src_prepare() {
+ setup-wxwidgets
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf $(use_with dbus) $(use_enable nls locales) \
+ --with-pugixml=system \
+ --disable-autoupdatecheck
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}